Package com.pixelmed.test

# Class TestAttributeListWriteAndReadMetaInformation

java.lang.Object
junit.framework.Assert
junit.framework.TestCase
com.pixelmed.test.TestAttributeListWriteAndReadMetaInformation

All Implemented Interfaces:
  `junit.framework.Test`

public class TestAttributeListWriteAndReadMetaInformation extends junit.framework.TestCase

## Constructor Summary

Constructors
Constructor
Description
`TestAttributeListWriteAndReadMetaInformation(String name)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`setUp()`
`static junit.framework.Test`
`suite()`
`protected void`
`tearDown()`
`void`
`TestAttributeListWriteAndReadMetaInformation_AbsentTransferSyntaxUID()`
`void`
`TestAttributeListWriteAndReadMetaInformation_EmptyTransferSyntaxUID()`
`void`
`TestAttributeListWriteAndReadMetaInformation_EVRLE_Meta_EVRLE_Dataset_CommandGroup()`
`void`
`TestAttributeListWriteAndReadMetaInformation_NoMeta_EVRLE_Dataset_CommandGroup()`
`void`
`TestAttributeListWriteAndReadMetaInformation_NoTransferSyntax_EVRLE_Meta_EVRLE_Dataset()`
`void`
`TestAttributeListWriteAndReadMetaInformation_NoTransferSyntax_EVRLE_Meta_IVRLE_Dataset()`
`void`
`TestAttributeListWriteAndReadMetaInformation_Valid_EVRLE_Meta_EVRLE_Dataset()`
`void`
`TestAttributeListWriteAndReadMetaInformation_Valid_EVRLE_Meta_IVRLE_Dataset()`
`void`
`TestAttributeListWriteAndReadMetaInformation_WithTransferSyntaxUID()`
`void`
`TestAttributeListWriteMetaInformation_RefuseAbsentTransferSyntaxUID()`
`void`
`TestAttributeListWriteMetaInformation_RefuseEmptyTransferSyntaxUID()`

### Methods inherited from class junit.framework.TestCase

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TestAttributeListWriteAndReadMetaInformation

public TestAttributeListWriteAndReadMetaInformation(String name)

## Method Details

### suite

public static junit.framework.Test suite()

### setUp

protected void setUp()

Overrides:
  `setUp` in class `junit.framework.TestCase`

### tearDown

protected void tearDown()

Overrides:
  `tearDown` in class `junit.framework.TestCase`

### TestAttributeListWriteAndReadMetaInformation_Valid_EVRLE_Meta_IVRLE_Dataset

public void TestAttributeListWriteAndReadMetaInformation_Valid_EVRLE_Meta_IVRLE_Dataset() throws Exception

Throws:
  `Exception`

### TestAttributeListWriteAndReadMetaInformation_Valid_EVRLE_Meta_EVRLE_Dataset

public void TestAttributeListWriteAndReadMetaInformation_Valid_EVRLE_Meta_EVRLE_Dataset() throws Exception

Throws:
  `Exception`

### TestAttributeListWriteAndReadMetaInformation_NoTransferSyntax_EVRLE_Meta_IVRLE_Dataset

public void TestAttributeListWriteAndReadMetaInformation_NoTransferSyntax_EVRLE_Meta_IVRLE_Dataset() throws Exception

Throws:
  `Exception`

### TestAttributeListWriteAndReadMetaInformation_NoTransferSyntax_EVRLE_Meta_EVRLE_Dataset

public void TestAttributeListWriteAndReadMetaInformation_NoTransferSyntax_EVRLE_Meta_EVRLE_Dataset() throws Exception

Throws:
  `Exception`

### TestAttributeListWriteAndReadMetaInformation_EVRLE_Meta_EVRLE_Dataset_CommandGroup

public void TestAttributeListWriteAndReadMetaInformation_EVRLE_Meta_EVRLE_Dataset_CommandGroup() throws Exception

Throws:
  `Exception`

### TestAttributeListWriteAndReadMetaInformation_NoMeta_EVRLE_Dataset_CommandGroup

public void TestAttributeListWriteAndReadMetaInformation_NoMeta_EVRLE_Dataset_CommandGroup() throws Exception

Throws:
  `Exception`

### TestAttributeListWriteAndReadMetaInformation_WithTransferSyntaxUID

public void TestAttributeListWriteAndReadMetaInformation_WithTransferSyntaxUID() throws Exception

Throws:
  `Exception`

### TestAttributeListWriteAndReadMetaInformation_AbsentTransferSyntaxUID

public void TestAttributeListWriteAndReadMetaInformation_AbsentTransferSyntaxUID() throws Exception

Throws:
  `Exception`

### TestAttributeListWriteAndReadMetaInformation_EmptyTransferSyntaxUID

public void TestAttributeListWriteAndReadMetaInformation_EmptyTransferSyntaxUID() throws Exception

Throws:
  `Exception`

### TestAttributeListWriteMetaInformation_RefuseAbsentTransferSyntaxUID

public void TestAttributeListWriteMetaInformation_RefuseAbsentTransferSyntaxUID() throws Exception

Throws:
  `Exception`

### TestAttributeListWriteMetaInformation_RefuseEmptyTransferSyntaxUID

public void TestAttributeListWriteMetaInformation_RefuseEmptyTransferSyntaxUID() throws Exception

Throws:
  `Exception`